package cn.yw.nhyw.nhywjjzcxx.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("nhywjjzcxxDao")
public class NhywjjzcxxDao extends BaseSqlMapDAO {

    /**
     * 增加记录
     */
    public void insert_Nhywjjzcxx(Map map) throws SQLException {
        this.insert("insert_Nhywjjzcxx",map);
    }

    /**
     * 批处理增加记录
     */
	/*
	public void batch_insert_Nhywjjzcxx(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjjzcxx",batch);
	}
	*/

    /**
     * 修改记录
     */
    public Integer update_Nhywjjzcxx(Map map) throws SQLException{
        return this.update("update_Nhywjjzcxx",map);
    }

    /**
     * 删除记录
     */
    public Integer delete_Nhywjjzcxx(Map map) throws SQLException{
        return this.delete("delete_Nhywjjzcxx",map);
    }

    /**
     * 批处理删除记录
     */

	/*
	public Integer batch_delete_Nhywjjzcxx(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjjzcxx",map);
	}
	*/

    /**
     * 查询总数
     */
    public Integer count_Nhyjjzcxx(Map map) throws SQLException{
        return (Integer)this.queryForObject("count_Nhywjjzcxx",map);
    }

    /**
     * 查询列表记录
     */
    public List<Map> query_Nhywjjzcxx(Map map) throws SQLException{
        return this.queryForPage("query_Nhywjjzcxx",map);
    }

    /**
     * 查询列表记录
     */
	/*
	public Map get_Nhywjjzcxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjjzcxx",map);
	}
	*/


    /**
     * 批处理增加记录
     */
    public void batch_insert_Nhywjjzcxxinfo(List<Map> batch) throws SQLException{
          this.insert("batch_insert_Nhywjjzcxx",batch);

    }
}
